ServerEvents.tags('block', event => {
    //Block Runner
    [/.*brick.*|.*tile.*/].forEach(type => {
        event.add('blockrunner:slightly_quick_blocks', type);
    });
});

//Disabled Items
let disabledItems = [];
Ingredient.of([
    'lootr:trophy'
]).getItemIds().forEach(type => {
    disabledItems.push(type);
});

let variantItems = [];
Ingredient.of([
    /quark:(vertical_.*[a-z].*_planks|.*_corundum_pane|.*_leaf_carpet)/,
    'moss_carpet',
    'quark:nether_brick_fence_gate'
]).getItemIds().forEach(type => {
    variantItems.push(type);
});

let informationItems = [];
Ingredient.of([
    'stone_bricks',
    'deepslate_tiles',
    'dirt_path',
    'map_atlases:atlas',
    'oak_boat',
    'quark:hammer',
    'leather_horse_armor',
    'iron_ingot',
    'emerald',
    'moss_block',
    'cactus',
    'brick',
    'totem_of_undying',
    'echo_shard'
]).getItemIds().forEach(type => {
    informationItems.push(type);
});

ServerEvents.tags('item', event => {
    [
        'quark:hollow_logs',
        'minecraft:stairs',
        'minecraft:slabs',
        'quark:vertical_slabs',
        'quark:posts',
        'minecraft:fences',
        'minecraft:fence_gates',
        'minecraft:walls',
        'minecraft:wool_carpets',
        'forge:glass_panes'
    ].forEach(type => {
        event.get(type).getObjectIds().forEach(type2 => { variantItems.push(type2); });
    });

    variantItems.forEach(type => {
        event.removeAllTagsFrom(type);
        event.add('kubejs:variant', type);
    });

    disabledItems.forEach(type => {
        event.removeAllTagsFrom(type);
        event.add('kubejs:disabled', type);
    });

    informationItems.forEach(type=>{
        event.add('kubejs:information',type);
    })
});